Bug 2011696 - Reduce allocations in FactImporter#update_facts
Summary: Reduce allocations in FactImporter#update_facts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Fact
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.10.0
Assignee: Jonathon Turel
QA Contact: Radek Mynar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-07 06:54 UTC by Tomer Brisker
Modified: 2022-01-05 12:50 UTC (History)
5 users (show)

Fixed In Version: foreman-2.5.2.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-05 12:50:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33639 0 Normal Closed Reduce allocations in FactImporter#update_facts 2021-10-07 06:54:46 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:14:07 UTC

Description Tomer Brisker 2021-10-07 06:54:46 UTC

Comment 1 Tomer Brisker 2021-10-07 06:54:50 UTC
Created from redmine issue https://projects.theforeman.org/issues/33639

Comment 2 Tomer Brisker 2021-10-07 06:54:51 UTC
Upstream bug assigned to jturel

Comment 5 Radek Mynar 2021-10-13 15:20:21 UTC
There are no steps to verify, so I just checked status of automated tests, which does not report any problems in Fact component.

I also checked logs for API call "/api/hosts/facts" when running 'puppet agent -t' and it reports faster response with less allocations.
SNAP 20: Completed 201 Created in 619ms (Views: 6.2ms | ActiveRecord: 134.8ms | Allocations: 166389)
SNAP 22: Completed 201 Created in 267ms (Views: 7.2ms | ActiveRecord: 50.8ms | Allocations: 60786)

VERIFIED with Satellite 6.10.SNAP 22.0

Comment 9 errata-xmlrpc 2021-11-16 14:13:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702

Comment 10 RHEL Program Management 2022-01-05 12:50:30 UTC
This bug was previously closed after it was shipped in the Red Hat Errata linked above. Unfortunately our workflow does not support re-opening bugs that have already been shipped. If you are still effected by this bug please open a new bug and reference this pre-existing Bugzilla and indicate that it does not appear to be resolved.


Note You need to log in before you can comment on or make changes to this bug.